#if !defined(AFX_FULLDISPLAYWND_H__20BD4032_E754_45B6_B5CF_20F273454670__INCLUDED_)
#define AFX_FULLDISPLAYWND_H__20BD4032_E754_45B6_B5CF_20F273454670__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// FullDisplayWnd.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CFullDisplayWnd dialog

class CFullDisplayWnd : public CDialog
{
// Construction
public:
	CFullDisplayWnd(CWnd* pParent = NULL);   // standard constructor
	void	CalVideoRect(RECT& rect);
// Dialog Data
	//{{AFX_DATA(CFullDisplayWnd)
	enum { IDD = IDD_DIALOG_FULL };
	CStatic	m_wndVideo;
	//}}AFX_DATA
	BOOL	m_bKeepProportion; // ÊÇ·ñ±£³Ö±ÈÀý

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CFullDisplayWnd)
	public:
	virtual BOOL PreTranslateMessage(MSG* pMsg);
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CFullDisplayWnd)
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg void OnKeyDown(UINT nChar, UINT nRepCnt, UINT nFlags);
	afx_msg void OnKeyUp(UINT nChar, UINT nRepCnt, UINT nFlags);
	afx_msg void OnKillFocus(CWnd* pNewWnd);
	afx_msg void OnTimer(UINT nIDEvent);
	afx_msg void OnRButtonUp(UINT nFlags, CPoint point);
	afx_msg void OnLButtonDblClk(UINT nFlags, CPoint point);
	afx_msg void OnShowWindow(BOOL bShow, UINT nStatus);
	afx_msg void OnDestroy();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
private:
	void *m_pParent;
	int  m_bSendPTZ;
	BOOL m_bInitFlag;
	UINT m_TimerID;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_FULLDISPLAYWND_H__20BD4032_E754_45B6_B5CF_20F273454670__INCLUDED_)
